package com.goafanti.common.enums;

public enum TransferModes {
	TransferOfPropertyRights(0,"产权转让"),
	AuthorizedProduction(1,"授权生产"),
	Permissions(2,"实施许可"),
	 Shareholder(3,"作价入股"),
CooperativeDevelopment(4,"合作生产"),
	Unknow(-1,"未知类型")
	;
		int i;
		String name;
		
		private TransferModes(int i, String name) {
			this.i = i;
			this.name = name;
		}

		public int getI() {
			return i;
		}

		public void setI(int i) {
			this.i = i;
		}

		public String getName() {
			return name;
		}

		public void setName(String name) {
			this.name = name;
		}
		public static TransferModes find(int i)
		{
			for(TransferModes achievementCategory:values())
			{
				if(achievementCategory.getI()==i)return achievementCategory;
			}
			return Unknow;
		}


}
